%define base gtk-engines

Name: %base-xfce

Summary: 	Port of xfce engine to GTK+-2.0
Version: 	2.4.0
Release: 	alt0.1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://prdownloads.sorceforge.net/xfce/gtk-xfce-engine-%version.tar.bz2
Group: 		Graphical desktop/XFce
Packager:	Eugene Ostapets <eostapets@altlinux.org>
%define gtk_ver 2.10.0
%define gtk_binary_ver 2.10.0
Requires:	gtk2 >= %gtk_ver
Requires:	glib2 >= %gtk_ver
BuildRequires: gcc-c++ imake libXt-devel xorg-cf-files
BuildRequires: 	gtk2-devel >= %gtk_ver
BuildRequires: 	glib2-devel >= %gtk_ver

%description
This package contains Xfce theme engine for GTK+2 and several themes
that use this engine. In particular the Funklor theme by Michael Pearce
modified to use the Xfce engine and another theme that looks vaguely
like the system from Redmond.

%prep
%setup -q -n gtk-xfce-engine-%version

%build
%configure
%make

%install
%make install DESTDIR=%buildroot

%files
%exclude %_libdir/gtk-2.0/%gtk_binary_ver/engines/*.la
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*.so
%_datadir/themes/*
%doc AUTHORS ChangeLog

%changelog
* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 2.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.3.99.2-alt1
- new version

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.3.99.1-alt1
- new version

* Fri Apr 28 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.3.90.1-alt0.1
- new version

* Fri Sep 02 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.2.1-alt1
- New upstream version.

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2.4
- rebuild against gtk-2.4.0.

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1.4
- new version.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- First build for Sisyphus.
